{ deprekages, lib, pkgs, ... }:
{

  system.stateVersion = "24.05";

  # Use OpenKeychain on Android
  environment.packages = [
    deprekages.okc-agents
    pkgs.uutils-coreutils-noprefix
  ];

  # Set up nix for flakes
  nix.extraOptions = ''
    experimental-features = nix-command flakes
  '';

  # Set your time zone
  time.timeZone = "Europe/Amsterdam";

  # Design on nix-on-droid requires a different username/dir.
  home-manager.config = {
    home.username = lib.mkForce "nix-on-droid";
    home.homeDirectory = lib.mkForce "/data/data/com.termux.nix/files/home";
  };
}
